Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network232.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
232.0.0.0
Broadcast address
232.127.255.255
First usable
232.0.0.1
Last usable
232.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E8000000 · Integer 3892314112 to 3900702719
Reverse DNS zones
0.232.in-addr.arpa
1.232.in-addr.arpa
2.232.in-addr.arpa
3.232.in-addr.arpa
4.232.in-addr.arpa
5.232.in-addr.arpa
6.232.in-addr.arpa
7.232.in-addr.arpa
8.232.in-addr.arpa
9.232.in-addr.arpa
10.232.in-addr.arpa
11.232.in-addr.arpa
12.232.in-addr.arpa
13.232.in-addr.arpa
14.232.in-addr.arpa
15.232.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101000.00000000.00000000.00000000232.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network11101000.00000000.00000000.00000000232.0.0.0
Broadcast11101000.01111111.11111111.11111111232.127.255.255
Split into smaller subnets/16

232.0.0.0/9 makes 128 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1232.0.0.0/16232.0.0.1 to 232.0.255.254232.0.255.25565,534
2232.1.0.0/16232.1.0.1 to 232.1.255.254232.1.255.25565,534
3232.2.0.0/16232.2.0.1 to 232.2.255.254232.2.255.25565,534
4232.3.0.0/16232.3.0.1 to 232.3.255.254232.3.255.25565,534
5232.4.0.0/16232.4.0.1 to 232.4.255.254232.4.255.25565,534
6232.5.0.0/16232.5.0.1 to 232.5.255.254232.5.255.25565,534
7232.6.0.0/16232.6.0.1 to 232.6.255.254232.6.255.25565,534
8232.7.0.0/16232.7.0.1 to 232.7.255.254232.7.255.25565,534
9232.8.0.0/16232.8.0.1 to 232.8.255.254232.8.255.25565,534
10232.9.0.0/16232.9.0.1 to 232.9.255.254232.9.255.25565,534
11232.10.0.0/16232.10.0.1 to 232.10.255.254232.10.255.25565,534
12232.11.0.0/16232.11.0.1 to 232.11.255.254232.11.255.25565,534
13232.12.0.0/16232.12.0.1 to 232.12.255.254232.12.255.25565,534
14232.13.0.0/16232.13.0.1 to 232.13.255.254232.13.255.25565,534
15232.14.0.0/16232.14.0.1 to 232.14.255.254232.14.255.25565,534
16232.15.0.0/16232.15.0.1 to 232.15.255.254232.15.255.25565,534
17232.16.0.0/16232.16.0.1 to 232.16.255.254232.16.255.25565,534
18232.17.0.0/16232.17.0.1 to 232.17.255.254232.17.255.25565,534
19232.18.0.0/16232.18.0.1 to 232.18.255.254232.18.255.25565,534
20232.19.0.0/16232.19.0.1 to 232.19.255.254232.19.255.25565,534
21232.20.0.0/16232.20.0.1 to 232.20.255.254232.20.255.25565,534
22232.21.0.0/16232.21.0.1 to 232.21.255.254232.21.255.25565,534
23232.22.0.0/16232.22.0.1 to 232.22.255.254232.22.255.25565,534
24232.23.0.0/16232.23.0.1 to 232.23.255.254232.23.255.25565,534
25232.24.0.0/16232.24.0.1 to 232.24.255.254232.24.255.25565,534
26232.25.0.0/16232.25.0.1 to 232.25.255.254232.25.255.25565,534
27232.26.0.0/16232.26.0.1 to 232.26.255.254232.26.255.25565,534
28232.27.0.0/16232.27.0.1 to 232.27.255.254232.27.255.25565,534
29232.28.0.0/16232.28.0.1 to 232.28.255.254232.28.255.25565,534
30232.29.0.0/16232.29.0.1 to 232.29.255.254232.29.255.25565,534
31232.30.0.0/16232.30.0.1 to 232.30.255.254232.30.255.25565,534
32232.31.0.0/16232.31.0.1 to 232.31.255.254232.31.255.25565,534
33232.32.0.0/16232.32.0.1 to 232.32.255.254232.32.255.25565,534
34232.33.0.0/16232.33.0.1 to 232.33.255.254232.33.255.25565,534
35232.34.0.0/16232.34.0.1 to 232.34.255.254232.34.255.25565,534
36232.35.0.0/16232.35.0.1 to 232.35.255.254232.35.255.25565,534
37232.36.0.0/16232.36.0.1 to 232.36.255.254232.36.255.25565,534
38232.37.0.0/16232.37.0.1 to 232.37.255.254232.37.255.25565,534
39232.38.0.0/16232.38.0.1 to 232.38.255.254232.38.255.25565,534
40232.39.0.0/16232.39.0.1 to 232.39.255.254232.39.255.25565,534
41232.40.0.0/16232.40.0.1 to 232.40.255.254232.40.255.25565,534
42232.41.0.0/16232.41.0.1 to 232.41.255.254232.41.255.25565,534
43232.42.0.0/16232.42.0.1 to 232.42.255.254232.42.255.25565,534
44232.43.0.0/16232.43.0.1 to 232.43.255.254232.43.255.25565,534
45232.44.0.0/16232.44.0.1 to 232.44.255.254232.44.255.25565,534
46232.45.0.0/16232.45.0.1 to 232.45.255.254232.45.255.25565,534
47232.46.0.0/16232.46.0.1 to 232.46.255.254232.46.255.25565,534
48232.47.0.0/16232.47.0.1 to 232.47.255.254232.47.255.25565,534
49232.48.0.0/16232.48.0.1 to 232.48.255.254232.48.255.25565,534
50232.49.0.0/16232.49.0.1 to 232.49.255.254232.49.255.25565,534
51232.50.0.0/16232.50.0.1 to 232.50.255.254232.50.255.25565,534
52232.51.0.0/16232.51.0.1 to 232.51.255.254232.51.255.25565,534
53232.52.0.0/16232.52.0.1 to 232.52.255.254232.52.255.25565,534
54232.53.0.0/16232.53.0.1 to 232.53.255.254232.53.255.25565,534
55232.54.0.0/16232.54.0.1 to 232.54.255.254232.54.255.25565,534
56232.55.0.0/16232.55.0.1 to 232.55.255.254232.55.255.25565,534
57232.56.0.0/16232.56.0.1 to 232.56.255.254232.56.255.25565,534
58232.57.0.0/16232.57.0.1 to 232.57.255.254232.57.255.25565,534
59232.58.0.0/16232.58.0.1 to 232.58.255.254232.58.255.25565,534
60232.59.0.0/16232.59.0.1 to 232.59.255.254232.59.255.25565,534
61232.60.0.0/16232.60.0.1 to 232.60.255.254232.60.255.25565,534
62232.61.0.0/16232.61.0.1 to 232.61.255.254232.61.255.25565,534
63232.62.0.0/16232.62.0.1 to 232.62.255.254232.62.255.25565,534
64232.63.0.0/16232.63.0.1 to 232.63.255.254232.63.255.25565,534
65232.64.0.0/16232.64.0.1 to 232.64.255.254232.64.255.25565,534
66232.65.0.0/16232.65.0.1 to 232.65.255.254232.65.255.25565,534
67232.66.0.0/16232.66.0.1 to 232.66.255.254232.66.255.25565,534
68232.67.0.0/16232.67.0.1 to 232.67.255.254232.67.255.25565,534
69232.68.0.0/16232.68.0.1 to 232.68.255.254232.68.255.25565,534
70232.69.0.0/16232.69.0.1 to 232.69.255.254232.69.255.25565,534
71232.70.0.0/16232.70.0.1 to 232.70.255.254232.70.255.25565,534
72232.71.0.0/16232.71.0.1 to 232.71.255.254232.71.255.25565,534
73232.72.0.0/16232.72.0.1 to 232.72.255.254232.72.255.25565,534
74232.73.0.0/16232.73.0.1 to 232.73.255.254232.73.255.25565,534
75232.74.0.0/16232.74.0.1 to 232.74.255.254232.74.255.25565,534
76232.75.0.0/16232.75.0.1 to 232.75.255.254232.75.255.25565,534
77232.76.0.0/16232.76.0.1 to 232.76.255.254232.76.255.25565,534
78232.77.0.0/16232.77.0.1 to 232.77.255.254232.77.255.25565,534
79232.78.0.0/16232.78.0.1 to 232.78.255.254232.78.255.25565,534
80232.79.0.0/16232.79.0.1 to 232.79.255.254232.79.255.25565,534
81232.80.0.0/16232.80.0.1 to 232.80.255.254232.80.255.25565,534
82232.81.0.0/16232.81.0.1 to 232.81.255.254232.81.255.25565,534
83232.82.0.0/16232.82.0.1 to 232.82.255.254232.82.255.25565,534
84232.83.0.0/16232.83.0.1 to 232.83.255.254232.83.255.25565,534
85232.84.0.0/16232.84.0.1 to 232.84.255.254232.84.255.25565,534
86232.85.0.0/16232.85.0.1 to 232.85.255.254232.85.255.25565,534
87232.86.0.0/16232.86.0.1 to 232.86.255.254232.86.255.25565,534
88232.87.0.0/16232.87.0.1 to 232.87.255.254232.87.255.25565,534
89232.88.0.0/16232.88.0.1 to 232.88.255.254232.88.255.25565,534
90232.89.0.0/16232.89.0.1 to 232.89.255.254232.89.255.25565,534
91232.90.0.0/16232.90.0.1 to 232.90.255.254232.90.255.25565,534
92232.91.0.0/16232.91.0.1 to 232.91.255.254232.91.255.25565,534
93232.92.0.0/16232.92.0.1 to 232.92.255.254232.92.255.25565,534
94232.93.0.0/16232.93.0.1 to 232.93.255.254232.93.255.25565,534
95232.94.0.0/16232.94.0.1 to 232.94.255.254232.94.255.25565,534
96232.95.0.0/16232.95.0.1 to 232.95.255.254232.95.255.25565,534
97232.96.0.0/16232.96.0.1 to 232.96.255.254232.96.255.25565,534
98232.97.0.0/16232.97.0.1 to 232.97.255.254232.97.255.25565,534
99232.98.0.0/16232.98.0.1 to 232.98.255.254232.98.255.25565,534
100232.99.0.0/16232.99.0.1 to 232.99.255.254232.99.255.25565,534
101232.100.0.0/16232.100.0.1 to 232.100.255.254232.100.255.25565,534
102232.101.0.0/16232.101.0.1 to 232.101.255.254232.101.255.25565,534
103232.102.0.0/16232.102.0.1 to 232.102.255.254232.102.255.25565,534
104232.103.0.0/16232.103.0.1 to 232.103.255.254232.103.255.25565,534
105232.104.0.0/16232.104.0.1 to 232.104.255.254232.104.255.25565,534
106232.105.0.0/16232.105.0.1 to 232.105.255.254232.105.255.25565,534
107232.106.0.0/16232.106.0.1 to 232.106.255.254232.106.255.25565,534
108232.107.0.0/16232.107.0.1 to 232.107.255.254232.107.255.25565,534
109232.108.0.0/16232.108.0.1 to 232.108.255.254232.108.255.25565,534
110232.109.0.0/16232.109.0.1 to 232.109.255.254232.109.255.25565,534
111232.110.0.0/16232.110.0.1 to 232.110.255.254232.110.255.25565,534
112232.111.0.0/16232.111.0.1 to 232.111.255.254232.111.255.25565,534
113232.112.0.0/16232.112.0.1 to 232.112.255.254232.112.255.25565,534
114232.113.0.0/16232.113.0.1 to 232.113.255.254232.113.255.25565,534
115232.114.0.0/16232.114.0.1 to 232.114.255.254232.114.255.25565,534
116232.115.0.0/16232.115.0.1 to 232.115.255.254232.115.255.25565,534
117232.116.0.0/16232.116.0.1 to 232.116.255.254232.116.255.25565,534
118232.117.0.0/16232.117.0.1 to 232.117.255.254232.117.255.25565,534
119232.118.0.0/16232.118.0.1 to 232.118.255.254232.118.255.25565,534
120232.119.0.0/16232.119.0.1 to 232.119.255.254232.119.255.25565,534
121232.120.0.0/16232.120.0.1 to 232.120.255.254232.120.255.25565,534
122232.121.0.0/16232.121.0.1 to 232.121.255.254232.121.255.25565,534
123232.122.0.0/16232.122.0.1 to 232.122.255.254232.122.255.25565,534
124232.123.0.0/16232.123.0.1 to 232.123.255.254232.123.255.25565,534
125232.124.0.0/16232.124.0.1 to 232.124.255.254232.124.255.25565,534
126232.125.0.0/16232.125.0.1 to 232.125.255.254232.125.255.25565,534
127232.126.0.0/16232.126.0.1 to 232.126.255.254232.126.255.25565,534
128232.127.0.0/16232.127.0.1 to 232.127.255.254232.127.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses